#
# check if locking expiration works
#

use strict;
use vars qw(%set %conf %defs $prev);

t_progress_init(5);
$conf{'lock_duration'} = 600;
$conf{'lock_on'} = 'virus';

# remove possibly left lock
t_reload();

# clean mail
t_progress_next();
t_smtp_init();
t_smtp_ehlo();
t_smtp_send();
t_smtp_quit();

# infected mail
t_progress_next();
t_smtp_init();
t_smtp_ehlo();
t_smtp_mail_rcpt();
t_smtp_one('DATA', '354 go ahead');
t_println_push('cli', t_eicar_body());
t_expect_flush('srv');
t_expect_closed('srv');
t_expect_regex('cli', '^550 [a-zA-Z]');
t_println('cli', 'QUIT');
t_expect_regex('cli', '^221 ');
t_expect_closed('cli');

# reject
t_progress_next();
t_connect('cli');
t_expect_regex('cli', '^554 .*');
t_expect_closed('cli');

# reject after simple reload
t_progress_next();
t_reload();
t_connect('cli');
t_expect_regex('cli', '^554 .*');
t_expect_closed('cli');

# lock "expired"
t_progress_next();
$conf{'lock_duration'} = 1;
t_reload();
sleep(1);

t_smtp_init();
t_smtp_ehlo();
t_smtp_send();
t_smtp_quit();

# remove existing lock
#t_lock_cleanup();


1;

# : vim: syntax=perl :
